# -*- coding: UTF-8 -*-
#
# generated by wxGlade 1.0.5+repack on Sat Nov  4 16:41:57 2023
#

import wx
# begin wxGlade: dependencies
# end wxGlade

# begin wxGlade: extracode
# end wxGlade


class RunExtraDRCDialog(wx.Dialog):
    def __init__(self, *args, **kwds):
        # begin wxGlade: RunExtraDRCDialog.__init__
        kwds["style"] = kwds.get("style", 0) | wx.DEFAULT_DIALOG_STYLE | wx.RESIZE_BORDER | wx.STAY_ON_TOP
        wx.Dialog.__init__(self, *args, **kwds)
        self.SetSize((772, 572))
        self.SetTitle("Run Extra DRC")

        sizer_1 = wx.GridBagSizer(0, 0)

        self.drc_rules = wx.ListBox(self, wx.ID_ANY, choices=[])
        sizer_1.Add(self.drc_rules, (0, 0), (1, 1), wx.EXPAND, 0)

        self.panel_1 = wx.ScrolledWindow(self, wx.ID_ANY, style=wx.TAB_TRAVERSAL)
        self.panel_1.SetScrollRate(10, 10)
        sizer_1.Add(self.panel_1, (0, 1), (1, 1), wx.EXPAND, 0)

        h_sizer_1 = wx.GridBagSizer(0, 0)

        self.drc_icon_pixmap = wx.StaticBitmap(self.panel_1, wx.ID_ANY, wx.NullBitmap)
        h_sizer_1.Add(self.drc_icon_pixmap, (0, 0), (3, 1), wx.ALIGN_CENTER_VERTICAL | wx.EXPAND | wx.RESERVE_SPACE_EVEN_IF_HIDDEN, 0)

        self.drc_settings = wx.GridBagSizer(0, 0)
        h_sizer_1.Add(self.drc_settings, (0, 1), (1, 1), wx.EXPAND | wx.RESERVE_SPACE_EVEN_IF_HIDDEN, 0)

        self.drc_icon = wx.Panel(self.panel_1, wx.ID_ANY)
        self.drc_icon.Enable(False)
        self.drc_settings.Add(self.drc_icon, (4, 0), (1, 1), wx.EXPAND | wx.RESERVE_SPACE_EVEN_IF_HIDDEN, 0)

        self.drc_description = wx.TextCtrl(self.panel_1, wx.ID_ANY, "", style=wx.BORDER_NONE | wx.TE_BESTWRAP | wx.TE_MULTILINE | wx.TE_READONLY | wx.TE_RICH)
        self.drc_description.SetMinSize((150, 150))
        h_sizer_1.Add(self.drc_description, (1, 1), (2, 1), wx.EXPAND, 0)

        self.drc_output = wx.TextCtrl(self, wx.ID_ANY, "", style=wx.HSCROLL | wx.TE_MULTILINE | wx.TE_READONLY | wx.TE_RICH | wx.TE_RICH2)
        self.drc_output.SetFont(wx.Font(9, wx.FONTFAMILY_DEFAULT, wx.FONTSTYLE_NORMAL, wx.FONTWEIGHT_NORMAL, 0, "Segoe UI"))
        sizer_1.Add(self.drc_output, (1, 0), (1, 2), wx.ALL | wx.EXPAND, 0)

        self.drc_only_selected_items = wx.CheckBox(self, wx.ID_ANY, "Run DRC Only on selected items")
        sizer_1.Add(self.drc_only_selected_items, (2, 0), (1, 1), 0, 0)

        sizer_5 = wx.StdDialogButtonSizer()
        sizer_1.Add(sizer_5, (2, 1), (1, 1), wx.ALIGN_RIGHT | wx.ALL, 4)

        self.button_Run = wx.Button(self, wx.ID_ANY, "Run")
        self.button_Run.SetDefault()
        sizer_5.Add(self.button_Run, 0, 0, 0)

        self.button_Close = wx.Button(self, wx.ID_ANY, "Close")
        sizer_5.Add(self.button_Close, 0, 0, 0)

        sizer_5.Realize()

        self.drc_settings.AddGrowableCol(0)

        h_sizer_1.AddGrowableRow(0)
        h_sizer_1.AddGrowableCol(0)
        h_sizer_1.AddGrowableCol(1)
        self.panel_1.SetSizer(h_sizer_1)

        sizer_1.AddGrowableRow(0)
        sizer_1.AddGrowableRow(1)
        sizer_1.AddGrowableCol(1)
        self.SetSizer(sizer_1)

        self.Layout()

        self.Bind(wx.EVT_CLOSE, self.close_button_pressed, self)
        # end wxGlade

    def close_button_pressed(self, event):  # wxGlade: RunExtraDRCDialog.<event_handler>
        print("Event handler 'close_button_pressed' not implemented!")
        event.Skip()

# end of class RunExtraDRCDialog
